| Home | Libraries | People | FAQ | More

## Global cmd

boost::process::cmd

## Synopsis

    // In header: <boost/process/cmd.hpp>

    static unspecified cmd;

## Description

The cmd property allows to explicitly set commands for the execution.

The overload form applies when only one string is passed to a launching function. The string will be internally parsed and split at spaces.

The following expressions are valid, with `value` being either a C-String or a `std::basic_string` with `char` or `wchar_t`.

    cmd="value";
    cmd(value);

The property can only be used for assignments.